| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
System

# Method System.get_home()

Method get_home

  `string get_home()`

Description

  Get the full path for the current user's home directory

Returns

  the full path to the current user's home directory, or zero if the appropriate environment variables have not been set.

Note

  This method uses the standard environment variables for various systems to determine the home directory.